Subject: Re: [PATCH 2/5] ehca: Generate event when SRQ limit reached

From: Roland Dreier <[email-masked]>
Date: Fri, 20 Jul 2007 21:12:52 -0700

thanks, applied.

BTW, does your SRQ-capable hardware support generating the "last WQE
reached" event?  There's not any reliable way to avoid problems when
destroying QPs attached to an SRQ without it, and the IB spec requires
CAs that support SRQs to generate it (o11-5.2.5 in chapter 11 of vol 1).

I don't see any code in ehca to generate the event, and IPoIB CM at
least will be very unhappy when using SRQs if the event is not
generated.

 - R.